<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelCuti extends Model

{
    protected $table = 'tbl_pengajuan_cuti'; // Nama tabel di database
    protected $primaryKey = 'id'; // Primary key tabel
    protected $allowedFields = ['id_user', 'id_jenis', 'tanggal_mulai', 'tanggal_selesai', 'keterangan', 'status_supervisor', 'catatan_supervisor', 'status_manager', 'catatan_manager', 'status_admin', 'file_formulir']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id
     *
     * @param int $id
     * @return array|null
     */
    public function getDataById($id)
    {
        return $this->where('id', $id)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id
     * @param array $data
     * @return bool
     */
    public function updateData($id, $data)
    {
        return $this->update($id, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id
     * @return bool
     */
    public function deleteData($id)
    {
        return $this->delete($id);
    }
}
